curl --request GET \
--url https://api.atlas.co/functions/v1/subscriptions \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"id": "<string>",
"object": "subscription",
"customer": "<string>",
"status": "trialing",
"current_period_start": 123,
"current_period_end": 123,
"trial_start": 123,
"trial_end": 123,
"cancel_at_period_end": true,
"canceled_at": 123,
"ended_at": 123,
"collection_method": "<string>",
"days_until_due": 123,
"default_payment_method": "<string>",
"items": {
"object": "list",
"data": [
{
"id": "<string>",
"object": "subscription_item",
"price": {
"id": "<string>",
"product": "<string>",
"unit_amount": 123,
"currency": "<string>",
"recurring": {
"interval": "<string>",
"interval_count": 123
}
},
"quantity": 123,
"created": 123
}
]
},
"latest_invoice": "<string>",
"metadata": {},
"created": 123
}
],
"has_more": true,
"total_count": 123
}curl --request GET \
--url https://api.atlas.co/functions/v1/subscriptions \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"id": "<string>",
"object": "subscription",
"customer": "<string>",
"status": "trialing",
"current_period_start": 123,
"current_period_end": 123,
"trial_start": 123,
"trial_end": 123,
"cancel_at_period_end": true,
"canceled_at": 123,
"ended_at": 123,
"collection_method": "<string>",
"days_until_due": 123,
"default_payment_method": "<string>",
"items": {
"object": "list",
"data": [
{
"id": "<string>",
"object": "subscription_item",
"price": {
"id": "<string>",
"product": "<string>",
"unit_amount": 123,
"currency": "<string>",
"recurring": {
"interval": "<string>",
"interval_count": 123
}
},
"quantity": 123,
"created": 123
}
]
},
"latest_invoice": "<string>",
"metadata": {},
"created": 123
}
],
"has_more": true,
"total_count": 123
}API key (sk_test_* or sk_live_*)
x <= 100trialing, active, past_due, paused, canceled, unpaid